Bug 341186 - integrate with darktable
Summary: integrate with darktable
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-RawImport-Darktable (show other bugs)
Version: 4.4.0
Platform: Debian unstable Linux
: NOR wishlist with 21 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-11-22 21:34 UTC by Japs
Modified: 2022-01-26 04:11 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 6.4.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Japs 2014-11-22 21:34:40 UTC
I find digikam to be the best program out there for managing large libraries of pictures, tagging and organising them. The image editor is also very good when working with raster graphics.
However, I find darktable to be a lot more practical for editing raw files, which currently are the majority in my library.

It would be extremely handy to have the option to tell digikam to offload all raw editing to darktable, yet maintain the possibility to preview the images in digikam. 
In practice, this would require to wrap whatever darktable uses to generate the thumbnails from the raw files + sidecar xmp files in a kde widget. Then digikam would have to use that widget to display its own thumbnails. Finally, opening the editor on a raw file would fire up an instance of darktable.

Integrating digikam and darktable we could have the best of both worlds: awesome metadata management and nondestructive raw workflow.

Reproducible: Always
Comment 1 caulier.gilles 2015-05-15 22:09:48 UTC
Sound like a very complex task out of scope of digiKam project.

Gilles Caulier
Comment 2 caulier.gilles 2019-09-08 13:37:45 UTC
Git commit d1b743c24ca3bbf30afa385c5915f8817eb286de by Gilles Caulier.
Committed on 08/09/2019 at 13:34.
Pushed by cgilles into branch 'master'.

DPlugins: new RawImport plugin type to be able to delegate Raw Engine to external component, as UFraw or DarkTable for ex.
Native Image Editor RawImport tool based on Libraw is ported as this kind of plugin and used in ImageEditor and Showfoto.
Related: bug 150161

M  +3    -1    NEWS
M  +1    -0    core/DigikamExportAPI.cmake
M  +78   -0    core/cmake/modules/MacroDPlugins.cmake
M  +1    -0    core/dplugins/CMakeLists.txt
C  +1    -3    core/dplugins/rawimport/CMakeLists.txt [from: core/dplugins/CMakeLists.txt - 075% similarity]
A  +26   -0    core/dplugins/rawimport/native/CMakeLists.txt
R  +2    -2    core/dplugins/rawimport/native/rawimport.cpp [from: core/utilities/imageeditor/rawimport/rawimport.cpp - 098% similarity]
R  +5    -4    core/dplugins/rawimport/native/rawimport.h [from: core/utilities/imageeditor/rawimport/rawimport.h - 093% similarity]
A  +144  -0    core/dplugins/rawimport/native/rawimportnativeplugin.cpp     [License: GPL (v2+)]
A  +72   -0    core/dplugins/rawimport/native/rawimportnativeplugin.h     [License: GPL (v2+)]
R  +2    -2    core/dplugins/rawimport/native/rawpostprocessing.cpp [from: core/utilities/imageeditor/rawimport/rawpostprocessing.cpp - 097% similarity]
R  +5    -4    core/dplugins/rawimport/native/rawpostprocessing.h [from: core/utilities/imageeditor/rawimport/rawpostprocessing.h - 092% similarity]
R  +2    -3    core/dplugins/rawimport/native/rawpreview.cpp [from: core/utilities/imageeditor/rawimport/rawpreview.cpp - 098% similarity]
R  +6    -6    core/dplugins/rawimport/native/rawpreview.h [from: core/utilities/imageeditor/rawimport/rawpreview.h - 092% similarity]
R  +2    -2    core/dplugins/rawimport/native/rawsettingsbox.cpp [from: core/utilities/imageeditor/rawimport/rawsettingsbox.cpp - 099% similarity]
R  +6    -6    core/dplugins/rawimport/native/rawsettingsbox.h [from: core/utilities/imageeditor/rawimport/rawsettingsbox.h - 091% similarity]
M  +1    -0    core/libs/dplugins/CMakeLists.txt
M  +4    -3    core/libs/dplugins/core/dplugin.h
A  +47   -0    core/libs/dplugins/core/dpluginrawimport.cpp     [License: GPL (v2+)]
A  +97   -0    core/libs/dplugins/core/dpluginrawimport.h     [License: GPL (v2+)]
M  +16   -0    core/libs/dplugins/setup/dpluginloader.cpp
M  +5    -0    core/libs/dplugins/setup/dpluginloader.h
M  +0    -7    core/utilities/imageeditor/CMakeLists.txt
M  +29   -47   core/utilities/imageeditor/core/editorcore.cpp
M  +2    -2    core/utilities/imageeditor/core/editorcore.h
M  +3    -2    core/utilities/imageeditor/core/editorcore_p.h
M  +1    -0    core/utilities/imageeditor/editor/editorwindow.cpp

https://invent.kde.org/kde/digikam/commit/d1b743c24ca3bbf30afa385c5915f8817eb286de
Comment 3 caulier.gilles 2019-09-15 15:53:13 UTC
Git commit d51d98142389dafab5c27d12e134f7beb0b1dc69 by Gilles Caulier.
Committed on 15/09/2019 at 15:51.
Pushed by cgilles into branch 'master'.

ImageEditor : add new setup configuration to select right Raw Import plugin when Use Raw Import tool option is enabled.
Related: bug 150161

M  +2    -1    NEWS
M  +1    -1    core/utilities/imageeditor/core/editorcore.cpp
M  +12   -9    core/utilities/imageeditor/core/iofilesettings.h
M  +2    -1    core/utilities/imageeditor/editor/editorwindow.cpp
M  +2    -0    core/utilities/imageeditor/editor/editorwindow_p.h

https://invent.kde.org/kde/digikam/commit/d51d98142389dafab5c27d12e134f7beb0b1dc69
Comment 4 caulier.gilles 2019-09-18 21:33:43 UTC
Git commit a8b6e39ab4742d004018749fb39362d35dea65d2 by Gilles Caulier.
Committed on 18/09/2019 at 21:32.
Pushed by cgilles into branch 'master'.

RAW Import tool: new plugin to import RAW files using DarkTable in Image Editor.
FIXED-IN: 6.4.0

M  +3    -3    NEWS
M  +1    -0    core/dplugins/rawimport/CMakeLists.txt
A  +23   -0    core/dplugins/rawimport/darktable/CMakeLists.txt
A  +249  -0    core/dplugins/rawimport/darktable/rawimportdarktableplugin.cpp     [License: GPL (v2+)]
C  +12   -12   core/dplugins/rawimport/darktable/rawimportdarktableplugin.h [from: core/dplugins/rawimport/ufraw/rawimportufrawplugin.h - 076% similarity]
M  +0    -1    core/dplugins/rawimport/rawtherapee/rawimportrawtherapeeplugin.h
M  +0    -1    core/dplugins/rawimport/ufraw/rawimportufrawplugin.h

https://invent.kde.org/kde/digikam/commit/a8b6e39ab4742d004018749fb39362d35dea65d2